diff -uNrd -x CVS ircd-hybrid-7rc5/ChangeLog ircd-hybrid-7-bg/ChangeLog
--- ircd-hybrid-7rc5/ChangeLog	Thu Oct 31 00:31:41 2002
+++ ircd-hybrid-7-bg/ChangeLog	Sat May 24 23:27:07 2003
@@ -32944,4 +33969,4 @@
 * Restarted changelog
 -Rodder
 
-$Id: ChangeLog,v 7.4094 2002/10/31 05:31:41 lusky Exp $
+$Id: ChangeLog,v 1.19 2003/05/25 01:41:11 demond Exp $
diff -uNrd -x CVS ircd-hybrid-7rc5/Hybrid-team ircd-hybrid-7-bg/Hybrid-team
--- ircd-hybrid-7rc5/Hybrid-team	Tue Oct 29 17:53:09 2002
+++ ircd-hybrid-7-bg/Hybrid-team	Sun Feb  2 02:37:29 2003
@@ -1,17 +1,17 @@
-$Id: Hybrid-team,v 7.53 2002/10/29 22:53:09 wiz Exp $
-
+$Id: Hybrid-team,v 1.2 2003/02/02 07:37:29 demond Exp $
+   
 The hybrid team is a group of ircd coders who were frustrated
 with the instability and all-out "dirtiness" of the EFnet ircd's
 available. "hybrid" is the name for the collective efforts of a group
 of people, all of us.
- 
+   
 Anyone is welcome to contribute to this effort.  You are encouraged
 to participate in the Hybrid mailing list.  To subscribe to the
 Hybrid List, send email to listmanager@the-project.org with the
 subject "subscribe hybrid".
- 
+   
 The core team as, of this major release:
- 
+   
 A1kmm, Andrew Miller <a1kmm@mware.virtualave.net>
 adrian, Adrian Chadd <adrian@creative.net.au>
 AndroSyn, Aaron Sethman <androsyn@ratbox.org>
@@ -31,10 +31,10 @@
 wiz, Jason Dambrosio <jason@wiz.cx>
 Wohali, Joan Touzet <joant@ieee.org>
 xyst, Greg Prosser <gnp@arrogant.org>
- 
+   
 The following people have contributed blood, sweat, and/or code to
 this release of hybrid, in nick alphabetical order:
- 
+   
 adx, Piotr Nizynski <adx@crashnet.pl>
 bysin, Ben Kittridge <bkittridge@cfl.rr.com>
 desrt, Ryan Lortie <desertangel@mindless.com>
@@ -50,10 +50,14 @@
 vulture, Sean Stanek <vulture@cs.iastate.edu>
 vx0, Mark Miller <mark@vx0.net>
 zb^3, Alfred Perlstein <alfred@freebsd.org>
- 
+   
 Others are welcome.  Always.  And if we left anyone off the above list,
 be sure to let us know that too.  Many others have contributed to
 previous versions of this ircd and it's ancestors, too many to list
 here.
- 
+   
 Send bug fixes/complaints/rotten tomatoes to ircd-hybrid@the-project.org.
+   
+This particular hybrid7 version was developed by demond <demond@gmx.net>
+and is dedicated to BulgariaNet's PR girl ylith, sweet and compassionate.
+   
diff -uNrd -x CVS ircd-hybrid-7rc5/INSTALL ircd-hybrid-7-bg/INSTALL
--- ircd-hybrid-7rc5/INSTALL	Thu Sep 19 12:14:30 2002
+++ ircd-hybrid-7-bg/INSTALL	Mon Dec 30 23:07:23 2002
@@ -1,6 +1,6 @@
                             Hybrid INSTALL Document
 
-   $Id: INSTALL,v 7.31 2002/09/19 16:14:30 bill Exp $
+   $Id: INSTALL,v 1.1.1.1 2002/12/31 04:07:23 demond Exp $
 
    Copyright (c) 2001 by ircd-hybrid team
 
diff -uNrd -x CVS ircd-hybrid-7rc5/LICENSE ircd-hybrid-7-bg/LICENSE
--- ircd-hybrid-7rc5/LICENSE	Sat Jan  5 04:14:20 2002
+++ ircd-hybrid-7-bg/LICENSE	Mon Dec 30 23:07:23 2002
@@ -1,4 +1,4 @@
-# $Id: LICENSE,v 7.3 2002/01/05 09:14:20 a1kmm Exp $
+# $Id: LICENSE,v 1.1.1.1 2002/12/31 04:07:23 demond Exp $
 		    GNU GENERAL PUBLIC LICENSE
 		       Version 2, June 1991
 
diff -uNrd -x CVS ircd-hybrid-7rc5/README.FIRST ircd-hybrid-7-bg/README.FIRST
--- ircd-hybrid-7rc5/README.FIRST	Sat Apr 27 20:26:01 2002
+++ ircd-hybrid-7-bg/README.FIRST	Mon Dec 30 23:07:23 2002
@@ -112,4 +112,4 @@
 - Other files recommended for reading: BUGS, INSTALL
 
 --------------------------------------------------------------------------------
-$Id: README.FIRST,v 7.33 2002/04/28 00:26:01 leeh Exp $
+$Id: README.FIRST,v 1.1.1.1 2002/12/31 04:07:23 demond Exp $
diff -uNrd -x CVS ircd-hybrid-7rc5/README.PLATFORMS ircd-hybrid-7-bg/README.PLATFORMS
--- ircd-hybrid-7rc5/README.PLATFORMS	Tue Jun 18 15:15:59 2002
+++ ircd-hybrid-7-bg/README.PLATFORMS	Mon Dec 30 23:07:24 2002
@@ -33,4 +33,4 @@
 SPARC        NeXTGCC          NEXTSTEP      Juli Mallett <jmallett@FreeBSD.org>
 m68k         NeXTGCC          NEXTSTEP      Juli Mallett <jmallett@FreeBSD.org>
 
-$Id: README.PLATFORMS,v 7.14 2002/06/18 19:15:59 leeh Exp $
+$Id: README.PLATFORMS,v 1.1.1.1 2002/12/31 04:07:24 demond Exp $
diff -uNrd -x CVS ircd-hybrid-7rc5/README.VMS ircd-hybrid-7-bg/README.VMS
--- ircd-hybrid-7rc5/README.VMS	Tue Feb  5 16:33:54 2002
+++ ircd-hybrid-7-bg/README.VMS	Mon Dec 30 23:07:24 2002
@@ -44,4 +44,4 @@
 binary distributions are available on the FTP site.
 (actually, they aren't yet, but at some time in the future they should be)
 
-$Id: README.VMS,v 1.11 2002/02/05 21:33:54 ejb Exp $
+$Id: README.VMS,v 1.1.1.1 2002/12/31 04:07:24 demond Exp $
diff -uNrd -x CVS ircd-hybrid-7rc5/RELNOTES ircd-hybrid-7-bg/RELNOTES
--- ircd-hybrid-7rc5/RELNOTES	Thu Oct 31 00:30:36 2002
+++ ircd-hybrid-7-bg/RELNOTES	Mon Dec 30 23:07:24 2002
@@ -108,4 +108,4 @@
 Other files recommended for reading: BUGS, README.FIRST, INSTALL
 
 --------------------------------------------------------------------------------
-$Id: RELNOTES,v 1.44 2002/10/31 05:30:36 db Exp $
+$Id: RELNOTES,v 1.1.1.1 2002/12/31 04:07:24 demond Exp $
diff -uNrd -x CVS ircd-hybrid-7rc5/TODO ircd-hybrid-7-bg/TODO
--- ircd-hybrid-7rc5/TODO	Wed Aug 21 01:58:03 2002
+++ ircd-hybrid-7-bg/TODO	Mon Dec 30 23:07:24 2002
@@ -1,4 +1,4 @@
-$Id: TODO,v 7.74 2002/08/21 05:58:03 lusky Exp $
+$Id: TODO,v 1.1.1.1 2002/12/31 04:07:24 demond Exp $
 
 - add more stderr debugging (ircd -s)... one for every place we syslog()
 - ircd -s doesn't work through a restart
diff -uNrd -x CVS ircd-hybrid-7rc5/adns/adns.h ircd-hybrid-7-bg/adns/adns.h
--- ircd-hybrid-7rc5/adns/adns.h	Tue Oct 29 21:56:16 2002
+++ ircd-hybrid-7-bg/adns/adns.h	Mon Dec 30 23:07:24 2002
@@ -51,7 +51,7 @@
  *  Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
  *
  *
- *  $Id: adns.h,v 1.8 2002/10/30 02:56:16 androsyn Exp $
+ *  $Id: adns.h,v 1.1.1.1 2002/12/31 04:07:24 demond Exp $
  */
 
 #ifndef ADNS_H_INCLUDED
diff -uNrd -x CVS ircd-hybrid-7rc5/adns/check.c ircd-hybrid-7-bg/adns/check.c
--- ircd-hybrid-7rc5/adns/check.c	Fri May 24 19:34:01 2002
+++ ircd-hybrid-7-bg/adns/check.c	Mon Dec 30 23:07:24 2002
@@ -24,7 +24,7 @@
  *  along with this program; if not, write to the Free Software Foundation,
  *  Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA. 
  *
- * $Id: check.c,v 1.6 2002/05/24 23:34:01 androsyn Exp $
+ * $Id: check.c,v 1.1.1.1 2002/12/31 04:07:24 demond Exp $
  */
 
 #include "stdinc.h"
diff -uNrd -x CVS ircd-hybrid-7rc5/adns/descrip.mms ircd-hybrid-7-bg/adns/descrip.mms
--- ircd-hybrid-7rc5/adns/descrip.mms	Mon Feb  4 16:07:44 2002
+++ ircd-hybrid-7-bg/adns/descrip.mms	Mon Dec 30 23:07:24 2002
@@ -8,7 +8,7 @@
 # $ COPY [.include]setup.h_vms [.include]setup.h
 # $ MMS IRCD.EXE
 #
-# $Id: descrip.mms,v 1.2 2002/02/04 21:07:44 ejb Exp $
+# $Id: descrip.mms,v 1.1.1.1 2002/12/31 04:07:24 demond Exp $
 
 CC=	CC
 CFLAGS=	/INCLUDE_DIRECTORY=([-.INCLUDE],[])/STANDARD=ISOC94
diff -uNrd -x CVS ircd-hybrid-7rc5/adns/dlist.h ircd-hybrid-7-bg/adns/dlist.h
--- ircd-hybrid-7rc5/adns/dlist.h	Fri Jan  4 00:02:21 2002
+++ ircd-hybrid-7-bg/adns/dlist.h	Mon Dec 30 23:07:24 2002
@@ -24,7 +24,7 @@
  *  along with this program; if not, write to the Free Software Foundation,
  *  Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA. 
  *
- * $Id: dlist.h,v 1.5 2002/01/04 05:02:21 db Exp $
+ * $Id: dlist.h,v 1.1.1.1 2002/12/31 04:07:24 demond Exp $
  */
 
 #ifndef ADNS_DLIST_H_INCLUDED
diff -uNrd -x CVS ircd-hybrid-7rc5/adns/event.c ircd-hybrid-7-bg/adns/event.c
--- ircd-hybrid-7rc5/adns/event.c	Mon Jun  3 15:24:12 2002
+++ ircd-hybrid-7-bg/adns/event.c	Mon Dec 30 23:07:24 2002
@@ -26,7 +26,7 @@
  *  along with this program; if not, write to the Free Software Foundation,
  *  Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA. 
  *
- * $Id: event.c,v 1.17 2002/06/03 19:24:12 androsyn Exp $
+ * $Id: event.c,v 1.1.1.1 2002/12/31 04:07:24 demond Exp $
  */
 
 #include "stdinc.h"
diff -uNrd -x CVS ircd-hybrid-7rc5/adns/general.c ircd-hybrid-7-bg/adns/general.c
--- ircd-hybrid-7rc5/adns/general.c	Fri May 24 19:34:01 2002
+++ ircd-hybrid-7-bg/adns/general.c	Mon Dec 30 23:07:24 2002
@@ -25,7 +25,7 @@
  *  along with this program; if not, write to the Free Software Foundation,
  *  Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA. 
  *
- * $Id: general.c,v 1.11 2002/05/24 23:34:01 androsyn Exp $
+ * $Id: general.c,v 1.1.1.1 2002/12/31 04:07:24 demond Exp $
  */
 
 #include "stdinc.h"
diff -uNrd -x CVS ircd-hybrid-7rc5/adns/internal.h ircd-hybrid-7-bg/adns/internal.h
--- ircd-hybrid-7rc5/adns/internal.h	Tue Oct 29 21:56:16 2002
+++ ircd-hybrid-7-bg/adns/internal.h	Mon Dec 30 23:07:24 2002
@@ -26,7 +26,7 @@
  *  along with this program; if not, write to the Free Software Foundation,
  *  Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
  *
- * $Id: internal.h,v 1.11 2002/10/30 02:56:16 androsyn Exp $
+ * $Id: internal.h,v 1.1.1.1 2002/12/31 04:07:24 demond Exp $
  */
 
 #ifndef ADNS_INTERNAL_H_INCLUDED
diff -uNrd -x CVS ircd-hybrid-7rc5/adns/parse.c ircd-hybrid-7-bg/adns/parse.c
--- ircd-hybrid-7rc5/adns/parse.c	Fri May 24 19:34:01 2002
+++ ircd-hybrid-7-bg/adns/parse.c	Mon Dec 30 23:07:24 2002
@@ -24,7 +24,7 @@
  *  along with this program; if not, write to the Free Software Foundation,
  *  Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA. 
  *
- * $Id: parse.c,v 1.5 2002/05/24 23:34:01 androsyn Exp $
+ * $Id: parse.c,v 1.1.1.1 2002/12/31 04:07:24 demond Exp $
  */
 
 #include "stdinc.h"
diff -uNrd -x CVS ircd-hybrid-7rc5/adns/query.c ircd-hybrid-7-bg/adns/query.c
--- ircd-hybrid-7rc5/adns/query.c	Tue Oct 29 21:56:17 2002
+++ ircd-hybrid-7-bg/adns/query.c	Mon Dec 30 23:07:24 2002
@@ -26,7 +26,7 @@
  *  along with this program; if not, write to the Free Software Foundation,
  *  Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA. 
  *
- * $Id: query.c,v 1.14 2002/10/30 02:56:17 androsyn Exp $
+ * $Id: query.c,v 1.1.1.1 2002/12/31 04:07:24 demond Exp $
  */
 
 #include "stdinc.h"
diff -uNrd -x CVS ircd-hybrid-7rc5/adns/reply.c ircd-hybrid-7-bg/adns/reply.c
--- ircd-hybrid-7rc5/adns/reply.c	Fri May 24 19:34:01 2002
+++ ircd-hybrid-7-bg/adns/reply.c	Mon Dec 30 23:07:24 2002
@@ -24,7 +24,7 @@
  *  along with this program; if not, write to the Free Software Foundation,
  *  Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA. 
  *
- * $Id: reply.c,v 1.8 2002/05/24 23:34:01 androsyn Exp $
+ * $Id: reply.c,v 1.1.1.1 2002/12/31 04:07:24 demond Exp $
  */
 
 #include "stdinc.h"
diff -uNrd -x CVS ircd-hybrid-7rc5/adns/setup.c ircd-hybrid-7-bg/adns/setup.c
--- ircd-hybrid-7rc5/adns/setup.c	Sat May 25 02:52:49 2002
+++ ircd-hybrid-7-bg/adns/setup.c	Mon Dec 30 23:07:24 2002
@@ -25,7 +25,7 @@
  *  along with this program; if not, write to the Free Software Foundation,
  *  Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA. 
  *
- * $Id: setup.c,v 1.27 2002/05/25 06:52:49 androsyn Exp $
+ * $Id: setup.c,v 1.1.1.1 2002/12/31 04:07:24 demond Exp $
  */
 
 #include "stdinc.h"
diff -uNrd -x CVS ircd-hybrid-7rc5/adns/transmit.c ircd-hybrid-7-bg/adns/transmit.c
--- ircd-hybrid-7rc5/adns/transmit.c	Sat Jun  1 01:28:03 2002
+++ ircd-hybrid-7-bg/adns/transmit.c	Mon Dec 30 23:07:24 2002
@@ -25,7 +25,7 @@
  *  along with this program; if not, write to the Free Software Foundation,
  *  Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA. 
  *
- * $Id: transmit.c,v 1.11 2002/06/01 05:28:03 androsyn Exp $
+ * $Id: transmit.c,v 1.1.1.1 2002/12/31 04:07:24 demond Exp $
  */
 
 #include "stdinc.h"
diff -uNrd -x CVS ircd-hybrid-7rc5/adns/tvarith.h ircd-hybrid-7-bg/adns/tvarith.h
--- ircd-hybrid-7rc5/adns/tvarith.h	Fri Apr  6 05:30:37 2001
+++ ircd-hybrid-7-bg/adns/tvarith.h	Mon Dec 30 23:07:24 2002
@@ -24,7 +24,7 @@
  *  along with this program; if not, write to the Free Software Foundation,
  *  Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
  *
- * $Id: tvarith.h,v 1.3 2001/04/06 09:30:37 a1kmm Exp $
+ * $Id: tvarith.h,v 1.1.1.1 2002/12/31 04:07:24 demond Exp $
  */
 
 #ifndef ADNS_TVARITH_H_INCLUDED
diff -uNrd -x CVS ircd-hybrid-7rc5/adns/types.c ircd-hybrid-7-bg/adns/types.c
--- ircd-hybrid-7rc5/adns/types.c	Tue Oct 29 21:56:17 2002
+++ ircd-hybrid-7-bg/adns/types.c	Mon Dec 30 23:07:24 2002
@@ -24,7 +24,7 @@
  *  along with this program; if not, write to the Free Software Foundation,
  *  Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA. 
  *
- * $Id: types.c,v 1.7 2002/10/30 02:56:17 androsyn Exp $
+ * $Id: types.c,v 1.1.1.1 2002/12/31 04:07:24 demond Exp $
  */
 
 #include "stdinc.h"
diff -uNrd -x CVS ircd-hybrid-7rc5/autoconf/acconfig.h ircd-hybrid-7-bg/autoconf/acconfig.h
--- ircd-hybrid-7rc5/autoconf/acconfig.h	Thu Jul 11 20:43:17 2002
+++ ircd-hybrid-7-bg/autoconf/acconfig.h	Mon Dec 30 23:07:24 2002
@@ -1,5 +1,5 @@
 /*
- * $Id: acconfig.h,v 7.24 2002/07/12 00:43:17 androsyn Exp $
+ * $Id: acconfig.h,v 1.1.1.1 2002/12/31 04:07:24 demond Exp $
  */
 
 /* Define if you have the poll() system call.  */
diff -uNrd -x CVS ircd-hybrid-7rc5/autoconf/configure.in ircd-hybrid-7-bg/autoconf/configure.in
--- ircd-hybrid-7rc5/autoconf/configure.in	Wed Oct 30 16:31:21 2002
+++ ircd-hybrid-7-bg/autoconf/configure.in	Thu Jan 30 10:28:58 2003
@@ -1,4 +1,4 @@
-dnl $Id: configure.in,v 7.148 2002/10/30 21:31:21 db Exp $
+dnl $Id: configure.in,v 1.2 2003/01/30 15:28:58 demond Exp $
 dnl Process this file with autoconf to produce a configure script.
 dnl AC_INIT(include/class.h) <- what is this ? -TimeMr14C
 
@@ -409,7 +409,7 @@
                 cf_openssl_ciphers="${cf_openssl_ciphers}DES/56 ")
         fi
         CPPFLAGS="$save_CPPFLAGS"
-        SSL_LIBS="$SSL_LIBS -lcrypto"
+        SSL_LIBS="$SSL_LIBS -lcrypto -lssl"
     else
         AC_MSG_RESULT(no - OpenSSL support disabled)
     fi
diff -uNrd -x CVS ircd-hybrid-7rc5/autoconf/install-sh ircd-hybrid-7-bg/autoconf/install-sh
--- ircd-hybrid-7rc5/autoconf/install-sh	Wed Aug 25 23:36:21 1999
+++ ircd-hybrid-7-bg/autoconf/install-sh	Mon Dec 30 23:07:24 2002
@@ -1,5 +1,5 @@
 #! /bin/sh
-# $Id: install-sh,v 7.1 1999/08/26 03:36:21 lusky Exp $
+# $Id: install-sh,v 1.1.1.1 2002/12/31 04:07:24 demond Exp $
 # install - install a program, script, or datafile
 # This comes from X11R5 (mit/util/scripts/install.sh).
 #
diff -uNrd -x CVS ircd-hybrid-7rc5/clean.com ircd-hybrid-7-bg/clean.com
--- ircd-hybrid-7rc5/clean.com	Tue Feb  5 22:37:52 2002
+++ ircd-hybrid-7-bg/clean.com	Mon Dec 30 23:07:24 2002
@@ -1,4 +1,4 @@
-$! $Id: clean.com,v 1.1 2002/02/06 03:37:52 ejb Exp $
+$! $Id: clean.com,v 1.1.1.1 2002/12/31 04:07:24 demond Exp $
 $! yes, its a hack. this needs to be merged into make.com.
 $! (well, really, into a top-level descrip.mms.. one day).
 $
diff -uNrd -x CVS ircd-hybrid-7rc5/contrib/README ircd-hybrid-7-bg/contrib/README
--- ircd-hybrid-7rc5/contrib/README	Tue Sep 24 12:33:05 2002
+++ ircd-hybrid-7-bg/contrib/README	Mon Dec 30 23:07:24 2002
@@ -1,4 +1,4 @@
-$Id: README,v 1.24 2002/09/24 16:33:05 bill Exp $
+$Id: README,v 1.1.1.1 2002/12/31 04:07:24 demond Exp $
 
 This directory contains modules and patches that have been contributed
 by other people, or aren't suitable for including into the 
diff -uNrd -x CVS ircd-hybrid-7rc5/contrib/README.disable_identd ircd-hybrid-7-bg/contrib/README.disable_identd
--- ircd-hybrid-7rc5/contrib/README.disable_identd	Sun Jul  7 20:10:32 2002
+++ ircd-hybrid-7-bg/contrib/README.disable_identd	Mon Dec 30 23:07:24 2002
@@ -1,4 +1,4 @@
-# $Id: README.disable_identd,v 1.1 2002/07/08 00:10:32 androsyn Exp $
+# $Id: README.disable_identd,v 1.1.1.1 2002/12/31 04:07:24 demond Exp $
 #
 This diff adds a config option to the general {} block called disable_auth
 to hybrid 7.  To disable identd requests add something like this to your
diff -uNrd -x CVS ircd-hybrid-7rc5/contrib/example_module.c ircd-hybrid-7-bg/contrib/example_module.c
--- ircd-hybrid-7rc5/contrib/example_module.c	Fri May 24 19:48:33 2002
+++ ircd-hybrid-7-bg/contrib/example_module.c	Mon Dec 30 23:07:24 2002
@@ -16,7 +16,7 @@
  *   along with this program; if not, write to the Free Software
  *   Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
  *
- *   $Id: example_module.c,v 1.6 2002/05/24 23:48:33 androsyn Exp $
+ *   $Id: example_module.c,v 1.1.1.1 2002/12/31 04:07:24 demond Exp $
  */
 
 /* List of ircd includes from ../include/ */
@@ -121,7 +121,7 @@
 
 /* When we last modified the file (shown in /modlist), this is usually:
  */
-const char *_version = "$Revision: 1.6 $";
+const char *_version = "$Revision: 1.1.1.1 $";
 #endif
 
 /*
diff -uNrd -x CVS ircd-hybrid-7rc5/contrib/m_clearchan.c ircd-hybrid-7-bg/contrib/m_clearchan.c
--- ircd-hybrid-7rc5/contrib/m_clearchan.c	Mon Jun 10 21:49:18 2002
+++ ircd-hybrid-7-bg/contrib/m_clearchan.c	Mon Mar 10 01:08:59 2003
@@ -16,7 +16,7 @@
  *   along with this program; if not, write to the Free Software
  *   Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
  *
- *   $Id: m_clearchan.c,v 1.30 2002/06/11 01:49:18 androsyn Exp $
+ *   $Id: m_clearchan.c,v 1.2 2003/03/10 06:08:59 demond Exp $
  */
 #include "stdinc.h"
 #include "tools.h"
@@ -77,7 +77,7 @@
   mod_del_cmd(&clearchan_msgtab);
 }
 
-char *_version = "$Revision: 1.30 $";
+char *_version = "$Revision: 1.2 $";
 
 /*
 ** mo_clearchan
@@ -113,7 +113,7 @@
 
   if( chptr == NULL )
     {
-      sendto_one(source_p, form_str(ERR_NOSUCHCHANNEL),
+      sendto_one(source_p, form_str(source_p,ERR_NOSUCHCHANNEL),
 		 me.name, parv[0], parv[1]);
       return;
     }
diff -uNrd -x CVS ircd-hybrid-7rc5/contrib/m_flags.c ircd-hybrid-7-bg/contrib/m_flags.c
--- ircd-hybrid-7rc5/contrib/m_flags.c	Fri May 24 19:48:34 2002
+++ ircd-hybrid-7-bg/contrib/m_flags.c	Mon Dec 30 23:07:24 2002
@@ -27,7 +27,7 @@
  *  IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE
  *  POSSIBILITY OF SUCH DAMAGE.
  *
- *  $Id: m_flags.c,v 1.9 2002/05/24 23:48:34 androsyn Exp $
+ *  $Id: m_flags.c,v 1.1.1.1 2002/12/31 04:07:24 demond Exp $
  */
 
 /* List of ircd includes from ../include/ */
@@ -77,7 +77,7 @@
   mod_del_cmd(&test_msgtab);
 }
 
-const char *_version = "$Revision: 1.9 $";
+const char *_version = "$Revision: 1.1.1.1 $";
 #endif
 
 /* FLAGS requires it's own mini parser, since the last parameter in it can
diff -uNrd -x CVS ircd-hybrid-7rc5/contrib/m_force.c ircd-hybrid-7-bg/contrib/m_force.c
--- ircd-hybrid-7rc5/contrib/m_force.c	Fri Oct 11 15:57:47 2002
+++ ircd-hybrid-7-bg/contrib/m_force.c	Mon Mar 10 01:08:59 2003
@@ -25,7 +25,7 @@
  *  IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE
  *  POSSIBILITY OF SUCH DAMAGE.
  *
- * $Id: m_force.c,v 1.16 2002/10/11 19:57:47 db Exp $
+ * $Id: m_force.c,v 1.2 2003/03/10 06:08:59 demond Exp $
  */
 
 #include "stdinc.h"
@@ -78,7 +78,7 @@
   mod_del_cmd(&forcepart_msgtab);
 }
 
-char *_version = "$Revision: 1.16 $";
+char *_version = "$Revision: 1.2 $";
 #endif
 
 /*
@@ -108,7 +108,7 @@
    */
   if ((target_p = find_client(parv[1])) == NULL)
   {
-    sendto_one(source_p, form_str(ERR_NOSUCHNICK), me.name,
+    sendto_one(source_p, form_str(source_p,ERR_NOSUCHNICK), me.name,
 	       source_p->name, parv[1]);
     return;
   }
@@ -177,9 +177,9 @@
         
       if(chptr->topic != NULL)
       {
-	sendto_one(target_p, form_str(RPL_TOPIC), me.name,
+	sendto_one(target_p, form_str(target_p,RPL_TOPIC), me.name,
 	           target_p->name, chptr->chname, chptr->topic);
-        sendto_one(target_p, form_str(RPL_TOPICWHOTIME),
+        sendto_one(target_p, form_str(target_p,RPL_TOPICWHOTIME),
 	           me.name, source_p->name, chptr->chname,
 	           chptr->topic_info, chptr->topic_time);
       }
@@ -191,7 +191,7 @@
       newch = parv[2];
       if (!check_channel_name(newch))
       {
-        sendto_one(source_p, form_str(ERR_BADCHANNAME), me.name,
+        sendto_one(source_p, form_str(source_p,ERR_BADCHANNAME), me.name,
 		   source_p->name, (unsigned char*)newch);
 	return;
       }
@@ -199,7 +199,7 @@
       /* channel name must begin with & or # */
       if (!IsChannelName(newch))
       {
-        sendto_one(source_p, form_str(ERR_BADCHANNAME), me.name,
+        sendto_one(source_p, form_str(source_p,ERR_BADCHANNAME), me.name,
 		   source_p->name, (unsigned char*)newch);
         return;
       }
@@ -274,7 +274,7 @@
   /* if target_p == NULL then let the oper know */
   if ((target_p = find_client(parv[1])) == NULL)
   {
-    sendto_one(source_p, form_str(ERR_NOSUCHNICK), me.name,
+    sendto_one(source_p, form_str(source_p,ERR_NOSUCHNICK), me.name,
                source_p->name, parv[1]);
     return;
   }
@@ -287,14 +287,14 @@
 
   if((chptr = hash_find_channel(parv[2])) == NULL)
   {
-    sendto_one(source_p, form_str(ERR_NOSUCHCHANNEL),
+    sendto_one(source_p, form_str(source_p,ERR_NOSUCHCHANNEL),
                me.name, parv[0], parv[1]);
     return;
   }
 
   if (!IsMember(target_p, chptr))
   {
-    sendto_one(source_p, form_str(ERR_USERNOTINCHANNEL),
+    sendto_one(source_p, form_str(source_p,ERR_USERNOTINCHANNEL),
                me.name, parv[0], parv[2], parv[1]);
     return;
   }
diff -uNrd -x CVS ircd-hybrid-7rc5/contrib/m_jupe.c ircd-hybrid-7-bg/contrib/m_jupe.c
--- ircd-hybrid-7rc5/contrib/m_jupe.c	Thu Oct 17 13:06:32 2002
+++ ircd-hybrid-7-bg/contrib/m_jupe.c	Mon Dec 30 23:07:24 2002
@@ -19,7 +19,7 @@
  *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
  *  USA
  *
- *  $Id: m_jupe.c,v 1.36 2002/10/17 17:06:32 bill Exp $
+ *  $Id: m_jupe.c,v 1.1.1.1 2002/12/31 04:07:24 demond Exp $
  */
 
 #include "stdinc.h"
@@ -71,7 +71,7 @@
   mod_del_cmd(&jupe_msgtab);
 }
 
-const char *_version = "$Revision: 1.36 $";
+const char *_version = "$Revision: 1.1.1.1 $";
 #endif
 
 /*
diff -uNrd -x CVS ircd-hybrid-7rc5/contrib/m_ltrace.c ircd-hybrid-7-bg/contrib/m_ltrace.c
--- ircd-hybrid-7rc5/contrib/m_ltrace.c	Wed Jul 31 18:52:58 2002
+++ ircd-hybrid-7-bg/contrib/m_ltrace.c	Mon Mar 10 01:08:59 2003
@@ -19,7 +19,7 @@
  *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
  *  USA
  *
- *  $Id: m_ltrace.c,v 1.4 2002/07/31 22:52:58 leeh Exp $
+ *  $Id: m_ltrace.c,v 1.2 2003/03/10 06:08:59 demond Exp $
  */
 
 #include "stdinc.h"
@@ -67,7 +67,7 @@
   mod_del_cmd(&ltrace_msgtab);
 }
 
-const char *_version = "$Revision: 1.4 $";
+const char *_version = "$Revision: 1.2 $";
 #endif
 
 static int report_this_status(struct Client *source_p, struct Client *target_p,int dow,
@@ -88,7 +88,7 @@
     tname = parv[1];
   else
     tname = me.name;
-  sendto_one(source_p, form_str(RPL_ENDOFTRACE), me.name, parv[0], tname);
+  sendto_one(source_p, form_str(source_p,RPL_ENDOFTRACE), me.name, parv[0], tname);
 }
 
 /*
@@ -116,7 +116,7 @@
 
   if(!IsOper(source_p))
   {
-    sendto_one(source_p, form_str(RPL_ENDOFTRACE), me.name, parv[0], tname);
+    sendto_one(source_p, form_str(source_p,RPL_ENDOFTRACE), me.name, parv[0], tname);
     return;
   }
 
@@ -132,10 +132,10 @@
         
         ac2ptr = next_client_double(GlobalClientList, tname);
         if (ac2ptr)
-          sendto_one(source_p, form_str(RPL_TRACELINK), me.name, looking_for,
+          sendto_one(source_p, form_str(source_p,RPL_TRACELINK), me.name, looking_for,
                      ircd_version, debugmode, tname, ac2ptr->from->name);
         else
-          sendto_one(source_p, form_str(RPL_TRACELINK), me.name, looking_for,
+          sendto_one(source_p, form_str(source_p,RPL_TRACELINK), me.name, looking_for,
                      ircd_version, debugmode, tname, "ac2ptr_is_NULL!!");
         return;
       }
@@ -170,7 +170,7 @@
         class_name = get_client_class(target_p);
 
         if (IsOper(target_p))
-          sendto_one(source_p, form_str(RPL_TRACEOPERATOR),
+          sendto_one(source_p, form_str(source_p,RPL_TRACEOPERATOR),
                      me.name, parv[0], class_name, name, 
 #ifndef HIDE_SPOOF_IPS
                      MyOper(source_p) ? ipaddr :
@@ -180,7 +180,7 @@
                      (target_p->user) ? (CurrentTime - target_p->user->last) : 0);
       }
       
-      sendto_one(source_p, form_str(RPL_ENDOFTRACE),me.name,
+      sendto_one(source_p, form_str(source_p,RPL_ENDOFTRACE),me.name,
                  parv[0], tname);
       return;
     }
@@ -238,7 +238,7 @@
                                link_s[target_p->localClient->fd]);
     }
 
-  sendto_one(source_p, form_str(RPL_ENDOFTRACE),me.name, parv[0],tname);
+  sendto_one(source_p, form_str(source_p,RPL_ENDOFTRACE),me.name, parv[0],tname);
 }
 
 
@@ -268,14 +268,14 @@
   switch(target_p->status)
     {
     case STAT_CONNECTING:
-      sendto_one(source_p, form_str(RPL_TRACECONNECTING), me.name,
+      sendto_one(source_p, form_str(source_p,RPL_TRACECONNECTING), me.name,
                  source_p->name, class_name, 
 		 IsOperAdmin(source_p) ? name : target_p->name);
 		   
       break;
 
     case STAT_HANDSHAKE:
-      sendto_one(source_p, form_str(RPL_TRACEHANDSHAKE), me.name,
+      sendto_one(source_p, form_str(source_p,RPL_TRACEHANDSHAKE), me.name,
                  source_p->name, class_name, 
                  IsOperAdmin(source_p) ? name : target_p->name);
 		   
@@ -287,7 +287,7 @@
 
     case STAT_CLIENT:
       if (IsAdmin(target_p))
-	sendto_one(source_p, form_str(RPL_TRACEOPERATOR),
+	sendto_one(source_p, form_str(source_p,RPL_TRACEOPERATOR),
                    me.name, source_p->name, class_name, name,
 #ifndef HIDE_SPOOF_IPS
                    IsOperAdmin(source_p) ? ip : 
@@ -297,7 +297,7 @@
                    (target_p->user) ? (CurrentTime - target_p->user->last) : 0);
 		       
       else if (IsOper(target_p))
-	sendto_one(source_p, form_str(RPL_TRACEOPERATOR),
+	sendto_one(source_p, form_str(source_p,RPL_TRACEOPERATOR),
 		   me.name, source_p->name, class_name, name, 
 #ifndef HIDE_SPOOF_IPS
 		   MyOper(source_p) ? ip : 
@@ -311,7 +311,7 @@
       if(!IsOperAdmin(source_p))
         name = get_client_name(target_p, MASK_IP);
 
-      sendto_one(source_p, form_str(RPL_TRACESERVER),
+      sendto_one(source_p, form_str(source_p,RPL_TRACESERVER),
 		 me.name, source_p->name, class_name, link_s_p,
 		 link_u_p, name, *(target_p->serv->by) ?
 		 target_p->serv->by : "*", "*",
@@ -319,7 +319,7 @@
       break;
       
     default: /* ...we actually shouldn't come here... --msa */
-      sendto_one(source_p, form_str(RPL_TRACENEWTYPE), me.name,
+      sendto_one(source_p, form_str(source_p,RPL_TRACENEWTYPE), me.name,
 		 source_p->name, name);
       break;
     }
diff -uNrd -x CVS ircd-hybrid-7rc5/contrib/m_map.c ircd-hybrid-7-bg/contrib/m_map.c
--- ircd-hybrid-7rc5/contrib/m_map.c	Fri May 24 19:48:34 2002
+++ ircd-hybrid-7-bg/contrib/m_map.c	Mon Mar 10 01:08:59 2003
@@ -19,7 +19,7 @@
  *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
  *  USA
  *
- *  $Id: m_map.c,v 1.12 2002/05/24 23:48:34 androsyn Exp $
+ *  $Id: m_map.c,v 1.2 2003/03/10 06:08:59 demond Exp $
  */
 
 #include "stdinc.h"
@@ -54,7 +54,7 @@
   mod_del_cmd(&map_msgtab);
 }
 
-const char *_version = "$Revision: 1.12 $";
+const char *_version = "$Revision: 1.2 $";
 #endif
 
 static char buf[BUFSIZE];
@@ -68,7 +68,7 @@
   if (!ConfigServerHide.flatten_links)
   {
     dump_map(client_p,&me,buf);
-    sendto_one(client_p, form_str(RPL_MAPEND), me.name, client_p->name);
+    sendto_one(client_p, form_str(client_p,RPL_MAPEND), me.name, client_p->name);
     return;
   }
 
@@ -84,7 +84,7 @@
                     int parc, char *parv[])
 {
   dump_map(client_p,&me,buf);
-  sendto_one(client_p, form_str(RPL_MAPEND), me.name, client_p->name);
+  sendto_one(client_p, form_str(client_p,RPL_MAPEND), me.name, client_p->name);
 }
 
 /*
@@ -119,7 +119,7 @@
            " | Users: %5d (%4.1f%%)", users,
            100 * (float) users / (float) Count.total);
         
-  sendto_one(client_p, form_str(RPL_MAP),me.name,client_p->name,buf);
+  sendto_one(client_p, form_str(client_p,RPL_MAP),me.name,client_p->name,buf);
         
   if ((server_p = root_p->serv->servers))
   {
diff -uNrd -x CVS ircd-hybrid-7rc5/contrib/m_mkpasswd.c ircd-hybrid-7-bg/contrib/m_mkpasswd.c
--- ircd-hybrid-7rc5/contrib/m_mkpasswd.c	Fri May 24 19:48:34 2002
+++ ircd-hybrid-7-bg/contrib/m_mkpasswd.c	Mon Mar 10 01:08:59 2003
@@ -6,7 +6,7 @@
  *
  *  You can use this code in any way as long as these names remain.
  *
- *  $Id: m_mkpasswd.c,v 1.9 2002/05/24 23:48:34 androsyn Exp $
+ *  $Id: m_mkpasswd.c,v 1.2 2003/03/10 06:08:59 demond Exp $
  */
 
 /* List of ircd includes from ../include/ */
@@ -56,7 +56,7 @@
   mod_del_cmd(&test_msgtab);
 }
 
-const char *_version = "$Revision: 1.9 $";
+const char *_version = "$Revision: 1.2 $";
 #endif
 
 static void m_mkpasswd(struct Client *client_p, struct Client *source_p,
@@ -68,7 +68,7 @@
   if ((last_used + ConfigFileEntry.pace_wait) > CurrentTime)
     {
       /* safe enough to give this on a local connect only */
-      sendto_one(source_p,form_str(RPL_LOAD2HI),me.name,parv[0]);
+      sendto_one(source_p,form_str(source_p,RPL_LOAD2HI),me.name,parv[0]);
       return;
     }
   else
@@ -97,7 +97,7 @@
   }
 
   if(parc == 1)
-    sendto_one(source_p, form_str(ERR_NEEDMOREPARAMS),
+    sendto_one(source_p, form_str(source_p,ERR_NEEDMOREPARAMS),
                me.name, parv[0], "MKPASSWD");
   else
     sendto_one(source_p, ":%s NOTICE %s :Encryption for [%s]:  %s",
@@ -136,7 +136,7 @@
   }
 
   if (parc == 1)
-    sendto_one(source_p, form_str(ERR_NEEDMOREPARAMS),
+    sendto_one(source_p, form_str(source_p,ERR_NEEDMOREPARAMS),
                me.name, parv[0], "MKPASSWD");
   else
     sendto_one(source_p, ":%s NOTICE %s :Encryption for [%s]:  %s",
diff -uNrd -x CVS ircd-hybrid-7rc5/contrib/m_ojoin.c ircd-hybrid-7-bg/contrib/m_ojoin.c
--- ircd-hybrid-7rc5/contrib/m_ojoin.c	Mon Jun 10 21:49:18 2002
+++ ircd-hybrid-7-bg/contrib/m_ojoin.c	Mon Mar 10 01:08:59 2003
@@ -15,7 +15,7 @@
  *   along with this program; if not, write to the Free Software
  *   Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
  *
- *   $Id: m_ojoin.c,v 1.11 2002/06/11 01:49:18 androsyn Exp $
+ *   $Id: m_ojoin.c,v 1.2 2003/03/10 06:08:59 demond Exp $
  */
 
 #include "stdinc.h"
@@ -58,7 +58,7 @@
   mod_del_cmd(&ojoin_msgtab);
 }
 
-char *_version = "$Revision: 1.11 $";
+char *_version = "$Revision: 1.2 $";
 
 /*
 ** mo_ojoin
@@ -103,7 +103,7 @@
 
   if( chptr == NULL )
     {
-      sendto_one(source_p, form_str(ERR_NOSUCHCHANNEL),
+      sendto_one(source_p, form_str(source_p,ERR_NOSUCHCHANNEL),
 		 me.name, parv[0], parv[1]);
       return;
     }
@@ -184,9 +184,9 @@
   /* send the topic... */
   if (chptr->topic != NULL)
   {
-    sendto_one(source_p, form_str(RPL_TOPIC), me.name,
+    sendto_one(source_p, form_str(source_p,RPL_TOPIC), me.name,
 	       source_p->name, chptr->chname, chptr->topic);
-    sendto_one(source_p, form_str(RPL_TOPICWHOTIME), me.name,
+    sendto_one(source_p, form_str(source_p,RPL_TOPICWHOTIME), me.name,
 	       source_p->name, chptr->chname, chptr->topic_info,
 	       chptr->topic_time);
   }
